/*
    Created by Quo
*/


-- LOGS
INSERT INTO tblQuoDebug 
	(DebugID, 		x_Open, x_Close, 	Message)
VALUES ('Quo_Biome_Code',	'1',	'0',		'') ;

 
 
 
 
INSERT INTO Types 
	(Type, 					Kind)
VALUES 	('QUO_TRAIT_BIOME_ASIAN_STEPPE', 		'KIND_TRAIT'),
		('QUO_TRAIT_BIOME_NATIVE_AMERICA', 		'KIND_TRAIT'),
		('QUO_TRAIT_BIOME_NEW_WORLD', 		'KIND_TRAIT'),
		('QUO_TRAIT_BIOME_BOREAL_EUROPE', 		'KIND_TRAIT'),
		('QUO_TRAIT_BIOME_ASIAN_PACIFIC', 		'KIND_TRAIT'),
		('QUO_TRAIT_BIOME_ROMANESQUE', 		'KIND_TRAIT'),
		('QUO_TRAIT_BIOME_ARABESQUE', 		'KIND_TRAIT'),
		('QUO_TRAIT_BIOME_AFRICA', 		'KIND_TRAIT'),
		('QUO_TRAIT_BIOME_ASIAN_EXPANSE', 		'KIND_TRAIT') ,
		('QUO_TRAIT_BIOME_WEST_EUROPE', 		'KIND_TRAIT') ,
		('QUO_TRAIT_BIOME_UK', 		'KIND_TRAIT') ,
		('QUO_TRAIT_BIOME_EAST_EUROPE', 		'KIND_TRAIT') ;

INSERT INTO Traits 
	(TraitType,			Name,						Description,						InternalOnly)
VALUES ('QUO_TRAIT_BIOME_ASIAN_STEPPE',	'LOC_QUO_TRAIT_BIOME_ASIAN_STEPPE_NAME',		'LOC_QUO_TRAIT_BIOME_ASIAN_STEPPE_DESCRIPTION',		0) ,
	('QUO_TRAIT_BIOME_NATIVE_AMERICA',	'LOC_QUO_TRAIT_BIOME_NATIVE_AMERICA_NAME',		'LOC_QUO_TRAIT_BIOME_NATIVE_AMERICA_DESCRIPTION',		0) ,
	('QUO_TRAIT_BIOME_NEW_WORLD',	'LOC_QUO_TRAIT_BIOME_NEW_WORLD_NAME',		'LOC_QUO_TRAIT_BIOME_NEW_WORLD_DESCRIPTION',		0) ,
	('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'LOC_QUO_TRAIT_BIOME_BOREAL_EUROPE_NAME',		'LOC_QUO_TRAIT_BIOME_BOREAL_EUROPE_DESCRIPTION',		0) ,
	('QUO_TRAIT_BIOME_ASIAN_PACIFIC',	'LOC_QUO_TRAIT_BIOME_ASIAN_PACIFIC_NAME',		'LOC_QUO_TRAIT_BIOME_ASIAN_PACIFIC_DESCRIPTION',		0) ,
	('QUO_TRAIT_BIOME_ROMANESQUE',	'LOC_QUO_TRAIT_BIOME_ROMANESQUE_NAME',		'LOC_QUO_TRAIT_BIOME_ROMANESQUE_DESCRIPTION',		0) ,
	('QUO_TRAIT_BIOME_ARABESQUE',	'LOC_QUO_TRAIT_BIOME_ARABESQUE_NAME',		'LOC_QUO_TRAIT_BIOME_ARABESQUE_DESCRIPTION',		0) ,
	('QUO_TRAIT_BIOME_AFRICA',	'LOC_QUO_TRAIT_BIOME_AFRICA_NAME',		'LOC_QUO_TRAIT_BIOME_AFRICA_DESCRIPTION',		0) ,
	('QUO_TRAIT_BIOME_ASIAN_EXPANSE',	'LOC_QUO_TRAIT_BIOME_ASIAN_EXPANSE_NAME',		'LOC_QUO_TRAIT_BIOME_ASIAN_EXPANSE_DESCRIPTION',		0) ,
	('QUO_TRAIT_BIOME_WEST_EUROPE',	'LOC_QUO_TRAIT_BIOME_WEST_EUROPE_NAME',		'LOC_QUO_TRAIT_BIOME_WEST_EUROPE_DESCRIPTION',		0) ,
	('QUO_TRAIT_BIOME_UK',	'LOC_QUO_TRAIT_BIOME_UK_NAME',		'LOC_QUO_TRAIT_BIOME_UK_DESCRIPTION',		0) ,
	('QUO_TRAIT_BIOME_EAST_EUROPE',	'LOC_QUO_TRAIT_BIOME_EAST_EUROPE_NAME',		'LOC_QUO_TRAIT_BIOME_EAST_EUROPE_DESCRIPTION',		0) ;
	
	
	

CREATE TEMPORARY TABLE tblTempCivilizationTraits
(
	tempCivilizationType text,
	tempTraitType text
);

INSERT INTO tblTempCivilizationTraits 
		(tempCivilizationType, 		tempTraitType)
VALUES ('CIVILIZATION_EGYPT',	'QUO_TRAIT_BIOME_ARABESQUE') ,
		('CIVILIZATION_ARABIA',	'QUO_TRAIT_BIOME_ARABESQUE') ,
		('CIVILIZATION_SUMERIA',	'QUO_TRAIT_BIOME_ARABESQUE') ,
		('CIVILIZATION_OTTOMAN',	'QUO_TRAIT_BIOME_ARABESQUE') ,
		--('CIVILIZATION_PERSIA',	'QUO_TRAIT_BIOME_ARABESQUE') ,
		
		('CIVILIZATION_MAPUCHE',	'QUO_TRAIT_BIOME_NATIVE_AMERICA') ,
		('CIVILIZATION_AZTEC',	'QUO_TRAIT_BIOME_NATIVE_AMERICA') ,
		('CIVILIZATION_CREE',	'QUO_TRAIT_BIOME_NATIVE_AMERICA') ,
		('CIVILIZATION_INCA',	'QUO_TRAIT_BIOME_NATIVE_AMERICA') ,
		
		('CIVILIZATION_BRAZIL',	'QUO_TRAIT_BIOME_NEW_WORLD') ,
		('CIVILIZATION_AMERICA',	'QUO_TRAIT_BIOME_NEW_WORLD') ,
		--('CIVILIZATION_AUSTRALIA',	'QUO_TRAIT_BIOME_NEW_WORLD') ,
		('CIVILIZATION_CANADA',	'QUO_TRAIT_BIOME_NEW_WORLD') ,
		
		('CIVILIZATION_SCYTHIA',	'QUO_TRAIT_BIOME_ASIAN_STEPPE') ,
		('CIVILIZATION_MONGOLIA',	'QUO_TRAIT_BIOME_ASIAN_STEPPE') ,
		
		--('CIVILIZATION_RUSSIA',	'QUO_TRAIT_BIOME_BOREAL_EUROPE') ,
		('CIVILIZATION_NORWAY',	'QUO_TRAIT_BIOME_BOREAL_EUROPE') ,
		--('CIVILIZATION_POLAND',	'QUO_TRAIT_BIOME_BOREAL_EUROPE') ,
		('CIVILIZATION_SWEDEN',	'QUO_TRAIT_BIOME_BOREAL_EUROPE') ,
		
		('CIVILIZATION_JAPAN',	'QUO_TRAIT_BIOME_ASIAN_PACIFIC') ,
		--('CIVILIZATION_INDONESIA',	'QUO_TRAIT_BIOME_ASIAN_PACIFIC') ,
		--('CIVILIZATION_KHMER',	'QUO_TRAIT_BIOME_ASIAN_PACIFIC') ,
		('CIVILIZATION_KOREA',	'QUO_TRAIT_BIOME_ASIAN_PACIFIC') ,
		('CIVILIZATION_MAORI',	'QUO_TRAIT_BIOME_ASIAN_PACIFIC') ,
		
		--('CIVILIZATION_NUBIA',	'QUO_TRAIT_BIOME_ASIAN_PACIFIC') ,
		('CIVILIZATION_ZULU',	'QUO_TRAIT_BIOME_AFRICA') ,
		('CIVILIZATION_KONGO',	'QUO_TRAIT_BIOME_AFRICA') ,
		('CIVILIZATION_MALI',	'QUO_TRAIT_BIOME_AFRICA') ,
		
		('CIVILIZATION_GREECE',	'QUO_TRAIT_BIOME_ROMANESQUE') ,
		('CIVILIZATION_ROME',	'QUO_TRAIT_BIOME_ROMANESQUE') ,
		('CIVILIZATION_PHOENICIA',	'QUO_TRAIT_BIOME_ROMANESQUE') ,
		--('CIVILIZATION_MACEDON',	'QUO_TRAIT_BIOME_ASIAN_PACIFIC') ,
		
		('CIVILIZATION_CHINA',	'QUO_TRAIT_BIOME_ASIAN_EXPANSE') ,
		('CIVILIZATION_INDIA',	'QUO_TRAIT_BIOME_ASIAN_EXPANSE') ,
		
		('CIVILIZATION_FRANCE',	'QUO_TRAIT_BIOME_WEST_EUROPE') ,
		('CIVILIZATION_SPAIN',	'QUO_TRAIT_BIOME_WEST_EUROPE') ,
		('CIVILIZATION_GERMANY','QUO_TRAIT_BIOME_WEST_EUROPE')  ,
		('CIVILIZATION_NETHERLANDS', 'QUO_TRAIT_BIOME_WEST_EUROPE') ,
		
		('CIVILIZATION_ENGLAND',	'QUO_TRAIT_BIOME_UK') ,
		('CIVILIZATION_SCOTLAND',	'QUO_TRAIT_BIOME_UK') ,
		
		('CIVILIZATION_RUSSIA',	'QUO_TRAIT_BIOME_EAST_EUROPE') ,
		('CIVILIZATION_GEORGIA',	'QUO_TRAIT_BIOME_EAST_EUROPE') ,
		('CIVILIZATION_HUNGARY',	'QUO_TRAIT_BIOME_EAST_EUROPE') ;
		
		
-- Only do the insert if the Biome option is enabled		
INSERT OR REPLACE INTO CivilizationTraits
	(CivilizationType, TraitType)
SELECT tempCivilizationType, tempTraitType
FROM tblTempCivilizationTraits
	WHERE EXISTS (SELECT 1 FROM tblQuoOptions WHERE OptionId='QUO_OPTION_ENABLE_BIOMES' AND Value > 0) ;


DROP TABLE 	tblTempCivilizationTraits;


		
		
-- dlc assignments
INSERT OR REPLACE INTO CivilizationTraits 
		(CivilizationType, 		TraitType)
SELECT 	'CIVILIZATION_PERSIA',	'QUO_TRAIT_BIOME_ARABESQUE'
	FROM Civilizations WHERE Civilizations.CivilizationType='CIVILIZATION_PERSIA' 
		AND EXISTS (SELECT 1 FROM tblQuoOptions WHERE OptionId='QUO_OPTION_ENABLE_BIOMES' AND Value > 0) ;
	
INSERT OR REPLACE INTO CivilizationTraits 
		(CivilizationType, 		TraitType)
SELECT 	'CIVILIZATION_AUSTRALIA',	'QUO_TRAIT_BIOME_NEW_WORLD'
	FROM Civilizations WHERE Civilizations.CivilizationType='CIVILIZATION_AUSTRALIA' 
		AND EXISTS (SELECT 1 FROM tblQuoOptions WHERE OptionId='QUO_OPTION_ENABLE_BIOMES' AND Value > 0) ;
	
	
INSERT OR REPLACE INTO CivilizationTraits 
		(CivilizationType, 		TraitType)
SELECT 	'CIVILIZATION_POLAND',	'QUO_TRAIT_BIOME_BOREAL_EUROPE'
	FROM Civilizations WHERE Civilizations.CivilizationType='CIVILIZATION_POLAND' 
		AND EXISTS (SELECT 1 FROM tblQuoOptions WHERE OptionId='QUO_OPTION_ENABLE_BIOMES' AND Value > 0) ;
	
	
INSERT OR REPLACE INTO CivilizationTraits 
		(CivilizationType, 		TraitType)
SELECT 	'CIVILIZATION_INDONESIA',	'QUO_TRAIT_BIOME_ASIAN_PACIFIC'
	FROM Civilizations WHERE Civilizations.CivilizationType='CIVILIZATION_INDONESIA' 
		AND EXISTS (SELECT 1 FROM tblQuoOptions WHERE OptionId='QUO_OPTION_ENABLE_BIOMES' AND Value > 0) ;
	
	
INSERT OR REPLACE INTO CivilizationTraits 
		(CivilizationType, 		TraitType)
SELECT 	'CIVILIZATION_KHMER',	'QUO_TRAIT_BIOME_ASIAN_EXPANSE'
	FROM Civilizations WHERE Civilizations.CivilizationType='CIVILIZATION_KHMER' 
		AND EXISTS (SELECT 1 FROM tblQuoOptions WHERE OptionId='QUO_OPTION_ENABLE_BIOMES' AND Value > 0) ;
	
	
INSERT OR REPLACE INTO CivilizationTraits 
		(CivilizationType, 		TraitType)
SELECT 	'CIVILIZATION_NUBIA',	'QUO_TRAIT_BIOME_AFRICA'
	FROM Civilizations WHERE Civilizations.CivilizationType='CIVILIZATION_NUBIA' 
		AND EXISTS (SELECT 1 FROM tblQuoOptions WHERE OptionId='QUO_OPTION_ENABLE_BIOMES' AND Value > 0) ;
	
	
INSERT OR REPLACE INTO CivilizationTraits 
		(CivilizationType, 		TraitType)
SELECT 	'CIVILIZATION_MACEDON',	'QUO_TRAIT_BIOME_ROMANESQUE'
	FROM Civilizations WHERE Civilizations.CivilizationType='CIVILIZATION_MACEDON' 
		AND EXISTS (SELECT 1 FROM tblQuoOptions WHERE OptionId='QUO_OPTION_ENABLE_BIOMES' AND Value > 0) ;
	

-- support for certain fan-made mods

-- SUKs Iceland
INSERT OR REPLACE INTO CivilizationTraits 
		(CivilizationType, 		TraitType)
SELECT 	'CIVILIZATION_SUK_ICELAND',	'QUO_TRAIT_BIOME_BOREAL_EUROPE'
	FROM Civilizations WHERE Civilizations.CivilizationType='CIVILIZATION_SUK_ICELAND' 
		AND EXISTS (SELECT 1 FROM tblQuoOptions WHERE OptionId='QUO_OPTION_ENABLE_BIOMES' AND Value > 0) ;
	


		
-- NEW WORLD
UPDATE tblQuoDebug SET Message='New World' WHERE DebugID='Quo_Biome_Code';

-- Cannot receive Great Prophets
INSERT INTO ExcludedGreatPersonClasses
	(GreatPersonClassType, TraitType)
VALUES('GREAT_PERSON_CLASS_PROPHET', 'QUO_TRAIT_BIOME_NEW_WORLD') ;


-- Free Settlers when world reaches Classical era
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_NEW_WORLD_CITY_HAS_PALACE', 		'REQUIREMENT_CITY_HAS_BUILDING',	0,0,0) ,
		('QUO_REQ_BIOME_NEW_WORLD_ERA_UNLOCK', 		'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',	0,0,0) ,
		('QUO_REQ_BIOME_NEW_WORLD_ERA_LOCK', 		'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',	0,1,0) ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_NEW_WORLD_CITY_HAS_PALACE',	'BuildingType',		'ARGTYPE_IDENTITY',	'BUILDING_PALACE',	NULL,	NULL 	)  ,
		('QUO_REQ_BIOME_NEW_WORLD_ERA_UNLOCK',	'EraType',		'ARGTYPE_IDENTITY',	'ERA_CLASSICAL',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_NEW_WORLD_ERA_LOCK',	'EraType',		'ARGTYPE_IDENTITY',	'ERA_CLASSICAL',	NULL,	NULL 	) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_NEW_WORLD_UNIT_UNLOCK', 	'REQUIREMENTSET_TEST_ALL')  ,
		('QUO_REQSET_BIOME_NEW_WORLD_UNIT_LOCK', 	'REQUIREMENTSET_TEST_ALL')  ;



INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_NEW_WORLD_UNIT_UNLOCK', 	'QUO_REQ_BIOME_NEW_WORLD_CITY_HAS_PALACE') ,
		('QUO_REQSET_BIOME_NEW_WORLD_UNIT_UNLOCK', 	'QUO_REQ_BIOME_NEW_WORLD_ERA_UNLOCK') ,
		('QUO_REQSET_BIOME_NEW_WORLD_UNIT_LOCK', 	'QUO_REQ_BIOME_NEW_WORLD_ERA_LOCK') ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_NEW_WORLD_FREE_UNIT', 'MODIFIER_SINGLE_CITY_GRANT_UNIT_IN_CITY', 1, 1, NULL, NULL) ,
		('QUO_BIOME_NEW_WORLD_FREE_UNIT_PLAYER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 	'QUO_REQSET_BIOME_NEW_WORLD_UNIT_UNLOCK') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_BIOME_NEW_WORLD_FREE_UNIT', 	'Amount', 'ARGTYPE_IDENTITY', 	'2',	NULL, 	NULL) ,  
	('QUO_BIOME_NEW_WORLD_FREE_UNIT', 	'UnitType', 	'ARGTYPE_IDENTITY', 	'UNIT_SETTLER',		NULL, 	NULL) ,
	('QUO_BIOME_NEW_WORLD_FREE_UNIT_PLAYER', 		'ModifierId', 		'ARGTYPE_IDENTITY', 	'QUO_BIOME_NEW_WORLD_FREE_UNIT',	NULL, 	NULL)  ;
	
	
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_NEW_WORLD',	'QUO_BIOME_NEW_WORLD_FREE_UNIT_PLAYER') ;


-- Lock building settlers until the correct era dawns
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES ('QUO_BIOME_NEW_WORLD_NO_BUILD_SETTLERS', 'MODIFIER_PLAYER_UNIT_BUILD_DISABLED', 0, 0, NULL, 'QUO_REQSET_BIOME_NEW_WORLD_UNIT_LOCK');


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES ('QUO_BIOME_NEW_WORLD_NO_BUILD_SETTLERS' , 	'UnitType', 	'ARGTYPE_IDENTITY', 	'UNIT_SETTLER',			NULL, 	NULL);

	
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES ('QUO_TRAIT_BIOME_NEW_WORLD',	'QUO_BIOME_NEW_WORLD_NO_BUILD_SETTLERS');



-- Lowered plot purchase cost
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_NEW_WORLD_PLOTPURCHASECOST', 'MODIFIER_PLAYER_CITIES_ADJUST_PLOT_PURCHASE_COST', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_BIOME_NEW_WORLD_PLOTPURCHASECOST', 'Amount', 	'ARGTYPE_IDENTITY', 	'-20',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_NEW_WORLD',	'QUO_BIOME_NEW_WORLD_PLOTPURCHASECOST') ;



-- All districts culture bomb
INSERT INTO Modifiers
		(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
SELECT	'QUO_BIOME_NEW_WORLD_CBOMB_' || Districts.DistrictType , 	'MODIFIER_PLAYER_ADD_CULTURE_BOMB_TRIGGER', 	0, 		0, 		NULL,			NULL
FROM 	Districts WHERE Districts.DistrictType != 'DISTRICT_CITY_CENTER' AND Districts.DistrictType != 'DISTRICT_WONDER' ;


INSERT INTO ModifierArguments
	(ModifierID,			Name,			Type, 			Value,			Extra)
SELECT	'QUO_BIOME_NEW_WORLD_CBOMB_' || Districts.DistrictType, 	'DistrictType', 	'ARGTYPE_IDENTITY', 	Districts.DistrictType,	NULL 
FROM 	Districts WHERE Districts.DistrictType != 'DISTRICT_CITY_CENTER' AND Districts.DistrictType != 'DISTRICT_WONDER';


INSERT INTO TraitModifiers
		(TraitType, 				ModifierID)
SELECT 	'QUO_TRAIT_BIOME_NEW_WORLD',		'QUO_BIOME_NEW_WORLD_CBOMB_' || Districts.DistrictType
FROM 	Districts WHERE Districts.DistrictType != 'DISTRICT_CITY_CENTER' AND Districts.DistrictType != 'DISTRICT_WONDER';



		
		
-- ASIAN PACIFIC
UPDATE tblQuoDebug SET Message='Asian Pacific' WHERE DebugID='Quo_Biome_Code';





-- Trade not possible during early game era
/* INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	--('QUO_REQ_BIOME_ASIAN_PACIFIC_DEBUFF_START', 		'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',	0,0,0) ,
		('QUO_REQ_BIOME_ASIAN_PACIFIC_DEBUFF_END', 		'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',	0,1,0) ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	--('QUO_REQ_BIOME_ASIAN_PACIFIC_DEBUFF_START',	'EraType',		'ARGTYPE_IDENTITY',	'ERA_MEDIEVAL',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ASIAN_PACIFIC_DEBUFF_END',	'EraType',		'ARGTYPE_IDENTITY',	'ERA_CLASSICAL',	NULL,	NULL 	) ; */
		

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_ASIAN_PACIFIC_DEBUFF_ERA', 	'REQUIREMENTSET_TEST_ALL')  ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	-- ('QUO_REQSET_BIOME_ASIAN_PACIFIC_DEBUFF_ERA', 	'QUO_REQ_BIOME_ASIAN_PACIFIC_DEBUFF_START') ,
		('QUO_REQSET_BIOME_ASIAN_PACIFIC_DEBUFF_ERA', 	'QUO_REQ_GLOBAL_ERA_NOT_YET_MEDIEVAL') ;

INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_BIOME_ASIAN_PACIFIC_TRADE_ROUTE', 	'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY', 	0, 		0, 		NULL,			'QUO_REQSET_BIOME_ASIAN_PACIFIC_DEBUFF_ERA') ;


INSERT INTO ModifierArguments
	(ModifierID,			Name,		Type, 				Value,			Extra)
VALUES	('QUO_BIOME_ASIAN_PACIFIC_TRADE_ROUTE', 	'Amount', 	'ARGTYPE_IDENTITY', 		'-99',			NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('QUO_TRAIT_BIOME_ASIAN_PACIFIC',	'QUO_BIOME_ASIAN_PACIFIC_TRADE_ROUTE') ;



-- Can build Fishery improvement without needing a governor
INSERT INTO Modifiers 
	(ModifierId, 			ModifierType, 				RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_BIOME_ASIAN_PACIFIC_ENABLE_FISHERY', 	'MODIFIER_PLAYER_ADJUST_VALID_IMPROVEMENT', 	0, 		0, 		NULL, 			NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ASIAN_PACIFIC_ENABLE_FISHERY', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_FISHERY',		NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 					ModifierID)
VALUES	('QUO_TRAIT_BIOME_ASIAN_PACIFIC',			'QUO_BIOME_ASIAN_PACIFIC_ENABLE_FISHERY') ;


-- Fisheries culture bomb
INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_BIOME_ASIAN_PACIFIC_FISH_BOMB', 	'MODIFIER_PLAYER_ADD_CULTURE_BOMB_TRIGGER', 	0, 		0, 		NULL,			NULL) ,
		('QUO_BIOME_ASIAN_PACIFIC_FISH_BOMB_2', 	'MODIFIER_PLAYER_ADD_CULTURE_BOMB_TRIGGER', 	0, 		0, 		NULL,			NULL) ,
		('QUO_BIOME_ASIAN_PACIFIC_FISH_BOMB_3', 	'MODIFIER_PLAYER_ADD_CULTURE_BOMB_TRIGGER', 	0, 		0, 		NULL,			NULL) ;

INSERT INTO ModifierArguments
	(ModifierID,			Name,			Type, 			Value,			Extra)
VALUES	('QUO_BIOME_ASIAN_PACIFIC_FISH_BOMB', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_FISHERY',	NULL) ,
		('QUO_BIOME_ASIAN_PACIFIC_FISH_BOMB_2', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_FISHING_BOATS',	NULL) ,
		('QUO_BIOME_ASIAN_PACIFIC_FISH_BOMB_3', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_KAMPUNG',	NULL) ;
		
INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('QUO_TRAIT_BIOME_ASIAN_PACIFIC',		'QUO_BIOME_ASIAN_PACIFIC_FISH_BOMB') ,
		('QUO_TRAIT_BIOME_ASIAN_PACIFIC',		'QUO_BIOME_ASIAN_PACIFIC_FISH_BOMB_2') ,
		('QUO_TRAIT_BIOME_ASIAN_PACIFIC',		'QUO_BIOME_ASIAN_PACIFIC_FISH_BOMB_3') ;



-- Free stuff in cities that have a acquire ocean tiles prior to X era
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_ASIAN_PACIFIC_CITY_HAS_OCEAN', 	'REQUIREMENT_CITY_HAS_X_TERRAIN_TYPE',	0,0,0)   ;

INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_ASIAN_PACIFIC_CITY_HAS_OCEAN',	'Amount',	'ARGTYPE_IDENTITY',	'4',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ASIAN_PACIFIC_CITY_HAS_OCEAN',	'Hills',		'ARGTYPE_IDENTITY',		'0',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ASIAN_PACIFIC_CITY_HAS_OCEAN',	'TerrainType',		'ARGTYPE_IDENTITY',		'TERRAIN_OCEAN',	NULL,	NULL 	)  ;
		

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_ASIAN_PACIFIC_CITY_HAS_OCEAN_AND_ERA', 	'REQUIREMENTSET_TEST_ALL')  ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_BIOME_ASIAN_PACIFIC_CITY_HAS_OCEAN_AND_ERA', 	'QUO_REQ_BIOME_ASIAN_PACIFIC_CITY_HAS_OCEAN')  ,
		--('QUO_REQSET_BIOME_ASIAN_PACIFIC_CITY_HAS_OCEAN_AND_ERA', 	'QUO_REQ_GLOBAL_ERA_NOT_YET_INDUSTRIAL') ,
		('QUO_REQSET_BIOME_ASIAN_PACIFIC_CITY_HAS_OCEAN_AND_ERA', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_CLASSICAL') ;

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ASIAN_PACIFIC_FREE_GOLD', 'MODIFIER_PLAYER_GRANT_YIELD', 1, 1, NULL, NULL) ,
		('QUO_BIOME_ASIAN_PACIFIC_FREE_GOLD_PLAYER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 	'QUO_REQSET_BIOME_ASIAN_PACIFIC_CITY_HAS_OCEAN_AND_ERA')  ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ASIAN_PACIFIC_FREE_GOLD', 	'Amount', 'ScaleByGameSpeed', 	'250',	NULL, 	NULL) ,  
	('QUO_BIOME_ASIAN_PACIFIC_FREE_GOLD', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_GOLD',		NULL, 	NULL) ,
	('QUO_BIOME_ASIAN_PACIFIC_FREE_GOLD_PLAYER', 		'ModifierId', 		'ARGTYPE_IDENTITY', 	'QUO_BIOME_ASIAN_PACIFIC_FREE_GOLD',	NULL, 	NULL) ;
	
	
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ASIAN_PACIFIC',	'QUO_BIOME_ASIAN_PACIFIC_FREE_GOLD_PLAYER' );




-- high adj harbor
/* INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_ASIAN_PAFICIC_HARBOR_HIGH_ADJ', 		'REQUIREMENT_CITY_HAS_HIGH_ADJACENCY_DISTRICT',	0,0,0) ;
		

INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_ASIAN_PAFICIC_HARBOR_HIGH_ADJ',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_HARBOR',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ASIAN_PAFICIC_HARBOR_HIGH_ADJ',	'YieldType',		'ARGTYPE_IDENTITY',	'YIELD_GOLD',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ASIAN_PAFICIC_HARBOR_HIGH_ADJ',	'Amount',		'ARGTYPE_IDENTITY',	'4',	NULL,	NULL 	) ;

	
		
INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_ASIAN_PAFICIC_HARBOR_HIGH_ADJ', 	'REQUIREMENTSET_TEST_ANY') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_ASIAN_PAFICIC_HARBOR_HIGH_ADJ', 	'QUO_REQ_BIOME_ASIAN_PAFICIC_HARBOR_HIGH_ADJ') ;


		
INSERT INTO Modifiers 
		(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ASIAN_PACIFIC_STRENGTH', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 0, 0, NULL, NULL) ,
		('QUO_BIOME_ASIAN_PACIFIC_STRENGTH_CITY', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 	'QUO_REQSET_BIOME_ASIAN_PAFICIC_HARBOR_HIGH_ADJ') ,
		('QUO_BIOME_ASIAN_PACIFIC_STRENGTH_PLAYER', 'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ASIAN_PACIFIC_STRENGTH', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',		NULL, 	NULL) ,
		('QUO_BIOME_ASIAN_PACIFIC_STRENGTH_CITY', 		'ModifierId', 		'ARGTYPE_IDENTITY', 	'QUO_BIOME_ASIAN_PACIFIC_STRENGTH_PLAYER',	NULL, 	NULL) ,
		('QUO_BIOME_ASIAN_PACIFIC_STRENGTH_PLAYER', 		'ModifierId', 		'ARGTYPE_IDENTITY', 	'QUO_BIOME_ASIAN_PACIFIC_STRENGTH',	NULL, 	NULL)  ;


INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ASIAN_PACIFIC',	'QUO_BIOME_ASIAN_PACIFIC_STRENGTH_PLAYER') ;		
 */


 

		





-- ASIAN STEPPE
UPDATE tblQuoDebug SET Message='Asian Steppe' WHERE DebugID='Quo_Biome_Code';

INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_ASIAN_STEPPE_GRASS_HILLS', 		'REQUIREMENT_PLOT_TERRAIN_TYPE_MATCHES',	0,0,0) ,
		('QUO_REQ_BIOME_ASIAN_STEPPE_PLAINS_HILLS', 		'REQUIREMENT_PLOT_TERRAIN_TYPE_MATCHES',	0,0,0) ,
		('QUO_REQ_BIOME_ASIAN_STEPPE_GRASS_NO_HILLS', 		'REQUIREMENT_PLOT_TERRAIN_TYPE_MATCHES',	0,0,0) ,
		('QUO_REQ_BIOME_ASIAN_STEPPE_PLAINS_NO_HILLS', 		'REQUIREMENT_PLOT_TERRAIN_TYPE_MATCHES',	0,0,0) ;
		

INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_ASIAN_STEPPE_GRASS_HILLS',	'TerrainType',		'ARGTYPE_IDENTITY',	'TERRAIN_GRASS_HILLS',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ASIAN_STEPPE_PLAINS_HILLS',	'TerrainType',		'ARGTYPE_IDENTITY',	'TERRAIN_PLAINS_HILLS',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ASIAN_STEPPE_GRASS_NO_HILLS',	'TerrainType',		'ARGTYPE_IDENTITY',	'TERRAIN_GRASS',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ASIAN_STEPPE_PLAINS_NO_HILLS',	'TerrainType',		'ARGTYPE_IDENTITY',	'TERRAIN_PLAINS',	NULL,	NULL 	) ;

		
INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_ASIAN_STEPPE_HILLS', 	'REQUIREMENTSET_TEST_ANY') ,
		('QUO_REQSET_BIOME_ASIAN_STEPPE_NOT_HILLS', 	'REQUIREMENTSET_TEST_ANY') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_ASIAN_STEPPE_HILLS', 	'QUO_REQ_BIOME_ASIAN_STEPPE_GRASS_HILLS') ,
		('QUO_REQSET_BIOME_ASIAN_STEPPE_HILLS', 	'QUO_REQ_BIOME_ASIAN_STEPPE_PLAINS_HILLS') ,
		('QUO_REQSET_BIOME_ASIAN_STEPPE_NOT_HILLS', 	'QUO_REQ_BIOME_ASIAN_STEPPE_GRASS_NO_HILLS') ,
		('QUO_REQSET_BIOME_ASIAN_STEPPE_NOT_HILLS', 	'QUO_REQ_BIOME_ASIAN_STEPPE_PLAINS_NO_HILLS') ;



INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ASIAN_STEPPE_NONHILL', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'QUO_REQSET_BIOME_ASIAN_STEPPE_NOT_HILLS')  ,
		('QUO_BIOME_ASIAN_STEPPE_HILL', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'QUO_REQSET_BIOME_ASIAN_STEPPE_HILLS')  ;
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ASIAN_STEPPE_NONHILL', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',			NULL, 	NULL) ,
		('QUO_BIOME_ASIAN_STEPPE_NONHILL', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ,
		('QUO_BIOME_ASIAN_STEPPE_HILL', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',			NULL, 	NULL) ,
		('QUO_BIOME_ASIAN_STEPPE_HILL', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ASIAN_STEPPE',	'QUO_BIOME_ASIAN_STEPPE_NONHILL') ,
		('QUO_TRAIT_BIOME_ASIAN_STEPPE',	'QUO_BIOME_ASIAN_STEPPE_HILL') ;


		
-- Earn no influence points
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ASIAN_STEPPE_NO_INFLUENCE', 'MODIFIER_PLAYER_DISABLE_INFLUENCE', 0, 0, NULL, NULL)   ;
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ASIAN_STEPPE_NO_INFLUENCE', 	'Disable', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL)  ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ASIAN_STEPPE',	'QUO_BIOME_ASIAN_STEPPE_NO_INFLUENCE') ;
		
		

-- ARABESQUE
UPDATE tblQuoDebug SET Message='Arabesque' WHERE DebugID='Quo_Biome_Code';



-- Gold in cities with at least X population
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_ARABESQUE_CITY_POP', 		'REQUIREMENT_CITY_HAS_X_POPULATION',	0,0,0) ;
		

INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_ARABESQUE_CITY_POP',	'Amount',		'ARGTYPE_IDENTITY',	'8',	NULL,	NULL 	) ;

		
INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_ARABESQUE_CITY_POP', 	'REQUIREMENTSET_TEST_ALL')  ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_ARABESQUE_CITY_POP', 	'QUO_REQ_BIOME_ARABESQUE_CITY_POP') ,
		('QUO_REQSET_BIOME_ARABESQUE_CITY_POP', 	'QUO_REQ_GLOBAL_ERA_NOT_YET_INDUSTRIAL') ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ARABESQUE_RIVER_BONUS', 'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD', 0, 0, NULL, 'PLOT_ADJACENT_TO_RIVER_REQUIREMENTS')  ,
		('QUO_BIOME_ARABESQUE_RIVER_BONUS_PLAYER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_BIOME_ARABESQUE_CITY_POP')  ;
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ARABESQUE_RIVER_BONUS', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_GOLD',			NULL, 	NULL) ,
		('QUO_BIOME_ARABESQUE_RIVER_BONUS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL)  ,
		('QUO_BIOME_ARABESQUE_RIVER_BONUS_PLAYER', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_BIOME_ARABESQUE_RIVER_BONUS',			NULL, 	NULL)  ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ARABESQUE',	'QUO_BIOME_ARABESQUE_RIVER_BONUS_PLAYER') ;



-- Free stuff in cities that have a desert at the right time
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_ARABESQUE_CITY_HAS_DESERT', 	'REQUIREMENT_CITY_HAS_X_TERRAIN_TYPE',	0,0,0)   ;

INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_ARABESQUE_CITY_HAS_DESERT',	'Amount',	'ARGTYPE_IDENTITY',	'2',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ARABESQUE_CITY_HAS_DESERT',	'Hills',		'ARGTYPE_IDENTITY',		'1',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ARABESQUE_CITY_HAS_DESERT',	'TerrainType',		'ARGTYPE_IDENTITY',		'TERRAIN_DESERT',	NULL,	NULL 	)  ;
		

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_ARABESQUE_CITY_HAS_DESERT_AND_ERA', 	'REQUIREMENTSET_TEST_ALL')  ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_BIOME_ARABESQUE_CITY_HAS_DESERT_AND_ERA', 	'QUO_REQ_BIOME_ARABESQUE_CITY_HAS_DESERT')  ,
		('QUO_REQSET_BIOME_ARABESQUE_CITY_HAS_DESERT_AND_ERA', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_INDUSTRIAL')  ,
		('QUO_REQSET_BIOME_ARABESQUE_CITY_HAS_DESERT_AND_ERA', 	'QUO_REQ_GLOBAL_ERA_NOT_YET_MODERN')  ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ARABESQUE_FREE_APOSTLE', 'MODIFIER_PLAYER_GRANT_YIELD', 1, 1, NULL, NULL) ,
		('QUO_BIOME_ARABESQUE_FREE_APOSTLE_PLAYER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 	'QUO_REQSET_BIOME_ARABESQUE_CITY_HAS_DESERT_AND_ERA')  ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ARABESQUE_FREE_APOSTLE', 	'Amount', 'ScaleByGameSpeed', 	'300',	NULL, 	NULL) ,  
	('QUO_BIOME_ARABESQUE_FREE_APOSTLE', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_FAITH',		NULL, 	NULL) ,
	('QUO_BIOME_ARABESQUE_FREE_APOSTLE_PLAYER', 		'ModifierId', 		'ARGTYPE_IDENTITY', 	'QUO_BIOME_ARABESQUE_FREE_APOSTLE',	NULL, 	NULL) ;
	
	
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ARABESQUE',	'QUO_BIOME_ARABESQUE_FREE_APOSTLE_PLAYER' );

		
		

		
		

-- Cannot build units that require Oil
-- Removed in later builds for balance reasons
/* CREATE TABLE tblQuoBiomeArabesqueOilUnits AS 
select unittype, technologies.eratype from units 
inner join technologies on technologies.TechnologyType = units.PrereqTech 
where strategicresource in  ("RESOURCE_OIL") AND TraitType IS NULL

union

select unittype, civics.EraType from units 
inner join civics on civics.CivicType = units.PrereqCivic
where strategicresource in  ("RESOURCE_OIL") AND TraitType IS NULL ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
SELECT 'QUO_BIOME_ARABESQUE_CANNOT_BUILD_' || tblQuoBiomeArabesqueOilUnits.UnitType, 'MODIFIER_PLAYER_UNIT_BUILD_DISABLED', 0, 0, NULL, NULL
	FROM tblQuoBiomeArabesqueOilUnits;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT 'QUO_BIOME_ARABESQUE_CANNOT_BUILD_' || tblQuoBiomeArabesqueOilUnits.UnitType, 	'UnitType', 	'ARGTYPE_IDENTITY', 	tblQuoBiomeArabesqueOilUnits.UnitType,			NULL, 	NULL 
	FROM tblQuoBiomeArabesqueOilUnits;

	
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT 'QUO_TRAIT_BIOME_ARABESQUE',	'QUO_BIOME_ARABESQUE_CANNOT_BUILD_' || tblQuoBiomeArabesqueOilUnits.UnitType
	FROM tblQuoBiomeArabesqueOilUnits;
 */

	
-- Increased Religious pressure during the appropriate era
INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_ARABESQUE_RELIGIOUS_PRESSURE', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_BIOME_ARABESQUE_DEBUFF_ERA', 	'REQUIREMENTSET_TEST_ALL') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_BIOME_ARABESQUE_RELIGIOUS_PRESSURE', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_INDUSTRIAL') ,
		('QUO_REQSET_BIOME_ARABESQUE_RELIGIOUS_PRESSURE', 	'QUO_REQ_GLOBAL_ERA_NOT_YET_MODERN') ,
		('QUO_REQSET_BIOME_ARABESQUE_DEBUFF_ERA', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_INDUSTRIAL') ,
		('QUO_REQSET_BIOME_ARABESQUE_DEBUFF_ERA', 	'QUO_REQ_GLOBAL_ERA_NOT_YET_MODERN') ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ARABESQUE_RELIGIOUS_PRESSURE', 'MODIFIER_PLAYER_RELIGION_ADJUST_RELIGIOUS_SPREAD_STRENGTH', 0, 0, NULL, 'QUO_REQSET_BIOME_ARABESQUE_DEBUFF_ERA')   ,
		('QUO_BIOME_ARABESQUE_RELIGIOUS_GPP_DEBUFF', 'MODIFIER_PLAYER_CITIES_ADJUST_GREAT_PERSON_POINT_BONUS', 0, 0, NULL, 'QUO_REQSET_BIOME_ARABESQUE_DEBUFF_ERA')   ;

 
-- Note the dummy values inserted here just to follow the Firaxis pattern of having 3 modifierarguments for this modifiertype. Pottery provides a tiny religious pressure bonus just to
-- keep the value from being 0. If for some reason the player doesn't have Pottery yet they'll get a 99 percent bonus instead of 100 but it should barely be noticeable.
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ARABESQUE_RELIGIOUS_PRESSURE', 	'EnhancingTechType', 	'ARGTYPE_IDENTITY', 	'TECH_POTTERY',			NULL, 	NULL) ,
		('QUO_BIOME_ARABESQUE_RELIGIOUS_PRESSURE', 	'SpreadMultiplier', 	'ARGTYPE_IDENTITY', 	'99',			NULL, 	NULL)  ,
		('QUO_BIOME_ARABESQUE_RELIGIOUS_PRESSURE', 	'TechEnabledSpreadMultiplier', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL)  ,
		('QUO_BIOME_ARABESQUE_RELIGIOUS_GPP_DEBUFF', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-50',			NULL, 	NULL)  ;
		
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ARABESQUE',	'QUO_BIOME_ARABESQUE_RELIGIOUS_PRESSURE') ,
		('QUO_TRAIT_BIOME_ARABESQUE',	'QUO_BIOME_ARABESQUE_RELIGIOUS_GPP_DEBUFF') ;
	

-- Penalty vs civs in a Golden Age
-- This used to be a quality of Africa, moved to Arabesque in v7.0.1. Still uses Africas string tables
-- The RequirementSet is borrowed from the Mapuche
INSERT INTO Modifiers 
		(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ARABESQUE_COMBAT_PENALTY', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_STRENGTH', 0, 0, NULL, 'OPPONENT_IS_IN_GOLDEN_AGE_REQUIREMENTS') ;

INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ARABESQUE_COMBAT_PENALTY', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-5',		NULL, 	NULL) ;

INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ARABESQUE',	'QUO_BIOME_ARABESQUE_COMBAT_PENALTY')  ;
 
INSERT INTO ModifierStrings
	(ModifierId, 		Context, Text)
VALUES	('QUO_BIOME_ARABESQUE_COMBAT_PENALTY', 'Preview', 'QUO_LOC_BIOME_AFRICA_COMBAT_BAD_MINOR') ;
	
	


-- NATIVE AMERICA
UPDATE tblQuoDebug SET Message='Native America' WHERE DebugID='Quo_Biome_Code';

-- cannot build cavalry prior to modern era

CREATE TABLE tblQuoBiomeNativeAmericaHorseUnits AS 
select unittype, technologies.eratype from units 
inner join technologies on technologies.TechnologyType = units.PrereqTech 
where promotionclass in  ("PROMOTION_CLASS_HEAVY_CAVALRY","PROMOTION_CLASS_LIGHT_CAVALRY") AND EraType in ("ERA_ANCIENT", "ERA_CLASSICAL", "ERA_MEDIEVAL", "ERA_RENAISSANCE", "ERA_INDUSTRIAL") AND TraitType IS NULL

union

select unittype, civics.EraType from units 
inner join civics on civics.CivicType = units.PrereqCivic
where promotionclass in  ("PROMOTION_CLASS_HEAVY_CAVALRY","PROMOTION_CLASS_LIGHT_CAVALRY") AND EraType in ("ERA_ANCIENT", "ERA_CLASSICAL", "ERA_MEDIEVAL", "ERA_RENAISSANCE", "ERA_INDUSTRIAL") AND TraitType IS NULL;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
SELECT 'QUO_BIOME_NATIVE_AMERICA_CANNOT_BUILD_' || tblQuoBiomeNativeAmericaHorseUnits.UnitType, 'MODIFIER_PLAYER_UNIT_BUILD_DISABLED', 0, 0, NULL, NULL
	FROM tblQuoBiomeNativeAmericaHorseUnits;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT 'QUO_BIOME_NATIVE_AMERICA_CANNOT_BUILD_' || tblQuoBiomeNativeAmericaHorseUnits.UnitType, 	'UnitType', 	'ARGTYPE_IDENTITY', 	tblQuoBiomeNativeAmericaHorseUnits.UnitType,			NULL, 	NULL 
	FROM tblQuoBiomeNativeAmericaHorseUnits;

	
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT 'QUO_TRAIT_BIOME_NATIVE_AMERICA',	'QUO_BIOME_NATIVE_AMERICA_CANNOT_BUILD_' || tblQuoBiomeNativeAmericaHorseUnits.UnitType
	FROM tblQuoBiomeNativeAmericaHorseUnits;
	

	
-- always Loyal
INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_NATIVE_AMERICA_ALWAYS_LOYAL', 	'MODIFIER_PLAYER_CITIES_ADJUST_ALWAYS_LOYAL', 0, 0, NULL, NULL)  ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_BIOME_NATIVE_AMERICA_ALWAYS_LOYAL', 	'AlwaysLoyal', 	'ARGTYPE_IDENTITY', 	'1',					NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 		ModifierId)
VALUES ('QUO_TRAIT_BIOME_NATIVE_AMERICA',	'QUO_BIOME_NATIVE_AMERICA_ALWAYS_LOYAL' );


-- Late game stealth for all units
-- The ability
INSERT INTO Types
	(Type, 				Kind)
VALUES 	('QUO_ABILITY_BIOME_NATIVE_AMERICAN',	'KIND_ABILITY'	) ;


INSERT INTO TypeTags
	(Type,					Tag)
VALUES  ('QUO_ABILITY_BIOME_NATIVE_AMERICAN', 	'CLASS_RECON'), 
	('QUO_ABILITY_BIOME_NATIVE_AMERICAN', 		'CLASS_MELEE'), 
	--('QUO_ABILITY_BIOME_NATIVE_AMERICAN', 		'CLASS_RANGED'),
	--('QUO_ABILITY_BIOME_NATIVE_AMERICAN', 		'CLASS_SIEGE'),
 	--('QUO_ABILITY_BIOME_NATIVE_AMERICAN', 		'CLASS_HEAVY_CAVALRY'),
	--('QUO_ABILITY_BIOME_NATIVE_AMERICAN', 		'CLASS_RANGED_CAVALRY'),
	('QUO_ABILITY_BIOME_NATIVE_AMERICAN', 		'CLASS_ANTI_CAVALRY') ;

INSERT INTO UnitAbilities
	(UnitAbilityType,		Name,				Description,			Inactive)
VALUES	('QUO_ABILITY_BIOME_NATIVE_AMERICAN',	'QUO_LOC_EXTRA_VISION',		'QUO_LOC_EXTRA_VISION_DESC',	"1"	) ;



-- The attachment
/* INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_NATIVE_AMERICA_STEALTH_START_ERA', 		'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',	0,0,0) ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_NATIVE_AMERICA_STEALTH_START_ERA',	'EraType',		'ARGTYPE_IDENTITY',	'ERA_INDUSTRIAL',	NULL,	NULL 	)  ;
 */		

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_NATIVE_AMERICA_STEALTH_ERAS', 	'REQUIREMENTSET_TEST_ALL')   ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_NATIVE_AMERICA_STEALTH_ERAS', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_INDUSTRIAL')  ,
		('QUO_REQSET_BIOME_NATIVE_AMERICA_STEALTH_ERAS', 	'QUO_REQ_GLOBAL_ERA_NOT_YET_ATOMIC')  ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_NATIVE_AMERICAN_STEALTH', 'MODIFIER_PLAYER_UNIT_ADJUST_HIDDEN_VISIBILITY', 0, 0, NULL, 'QUO_REQSET_BIOME_NATIVE_AMERICA_STEALTH_ERAS') ;


INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_BIOME_NATIVE_AMERICAN_STEALTH', 		'Hidden', 		'ARGTYPE_IDENTITY', 	'1',	NULL, 	NULL)  ;


INSERT INTO UnitAbilityModifiers
	(UnitAbilityType,	ModifierId)
VALUES	('QUO_ABILITY_BIOME_NATIVE_AMERICAN', 	'QUO_BIOME_NATIVE_AMERICAN_STEALTH') ;







INSERT INTO Modifiers 
	(ModifierId, 			ModifierType, 				RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_BIOME_NATIVE_AMERICAN_PLAYER', 	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', 	0, 		1, 		NULL, 			NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_BIOME_NATIVE_AMERICAN_PLAYER', 	'AbilityType', 	'ARGTYPE_IDENTITY', 	'QUO_ABILITY_BIOME_NATIVE_AMERICAN',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 					ModifierID)
VALUES	('QUO_TRAIT_BIOME_NATIVE_AMERICA',			'QUO_BIOME_NATIVE_AMERICAN_PLAYER') ;


	
-- AFRICA
UPDATE tblQuoDebug SET Message='Africa' WHERE DebugID='Quo_Biome_Code';

CREATE TABLE tblQuoBiomeAfricaNavalUnits AS 
select unittype, technologies.eratype from units 
inner join technologies on technologies.TechnologyType = units.PrereqTech 
where promotionclass in  ("PROMOTION_CLASS_NAVAL_RANGED","PROMOTION_CLASS_NAVAL_MELEE", "PROMOTION_CLASS_NAVAL_CARRIER") AND TraitType IS NULL

union

select unittype, civics.EraType from units 
inner join civics on civics.CivicType = units.PrereqCivic
where promotionclass in  ("PROMOTION_CLASS_NAVAL_RANGED","PROMOTION_CLASS_NAVAL_MELEE", "PROMOTION_CLASS_NAVAL_CARRIER") AND TraitType IS NULL;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
SELECT 'QUO_BIOME_AFRICA_CANNOT_BUILD_' || tblQuoBiomeAfricaNavalUnits.UnitType, 'MODIFIER_PLAYER_UNIT_BUILD_DISABLED', 0, 0, NULL, NULL
	FROM tblQuoBiomeAfricaNavalUnits;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT 'QUO_BIOME_AFRICA_CANNOT_BUILD_' || tblQuoBiomeAfricaNavalUnits.UnitType, 	'UnitType', 	'ARGTYPE_IDENTITY', 	tblQuoBiomeAfricaNavalUnits.UnitType,			NULL, 	NULL 
	FROM tblQuoBiomeAfricaNavalUnits;

	
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT 'QUO_TRAIT_BIOME_AFRICA',	'QUO_BIOME_AFRICA_CANNOT_BUILD_' || tblQuoBiomeAfricaNavalUnits.UnitType
	FROM tblQuoBiomeAfricaNavalUnits;

	
-- No population cost for creating a Settler	
/* INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_AFRICA_NO_COST_POP', 'MODIFIER_CITY_ADJUST_SETTLER_CONSUME_POPULATION', 0, 0, NULL, NULL)   ,
		('QUO_BIOME_AFRICA_NO_COST_POP_PLAYER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL)   ;
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_AFRICA_NO_COST_POP', 	'Enabled', 	'ARGTYPE_IDENTITY', 	'0',			NULL, 	NULL) ,
		('QUO_BIOME_AFRICA_NO_COST_POP_PLAYER', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_BIOME_AFRICA_NO_COST_POP',			NULL, 	NULL) ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_AFRICA',	'QUO_BIOME_AFRICA_NO_COST_POP_PLAYER')  ;
 */
 
 
 
-- Trees provide Food rather than Production
-- removed in v6.0.20
/* INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_AFRICA_TREES', 	'REQUIREMENTSET_TEST_ANY') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_AFRICA_TREES', 	'PLOT_IS_FOREST_REQUIREMENT') ,
		('QUO_REQSET_BIOME_AFRICA_TREES', 	'PLOT_IS_JUNGLE_REQUIREMENT')  ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_AFRICA_TREES', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'QUO_REQSET_BIOME_AFRICA_TREES')  ,
		('QUO_BIOME_AFRICA_TREES_FOOD', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'QUO_REQSET_BIOME_AFRICA_TREES')  ;
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_AFRICA_TREES', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',			NULL, 	NULL) ,
		('QUO_BIOME_AFRICA_TREES', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL)  ,
		('QUO_BIOME_AFRICA_TREES_FOOD', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_FOOD',			NULL, 	NULL) ,
		('QUO_BIOME_AFRICA_TREES_FOOD', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL)  ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_AFRICA',	'QUO_BIOME_AFRICA_TREES')  ,
		('QUO_TRAIT_BIOME_AFRICA',	'QUO_BIOME_AFRICA_TREES_FOOD')  ; */
 

 
-- Bonus Food based on special conditions. Note some of these conditions are set up in the database but not currently used
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_AFRICA_ADJ_JUNGLE', 		'REQUIREMENT_PLOT_ADJACENT_FEATURE_TYPE_MATCHES',	0,0,0)  ,
		('QUO_REQ_BIOME_AFRICA_ADJ_FOREST', 		'REQUIREMENT_PLOT_ADJACENT_FEATURE_TYPE_MATCHES',	0,0,0)  ,
		('QUO_REQ_BIOME_AFRICA_TILE_HAS_FARM', 		'REQUIREMENT_PLOT_IMPROVEMENT_TYPE_MATCHES',	0,0,0)  ,
		('QUO_REQ_BIOME_AFRICA_CITY_NUM_DISTRICTS', 		'REQUIREMENT_CITY_HAS_X_SPECIALTY_DISTRICTS',	0,0,0)  ,
		('QUO_REQ_BIOME_AFRICA_CITY_HAS_GOV_TALL', 		'REQUIREMENT_CITY_HAS_BUILDING',	0,0,0)  ,
		('QUO_REQ_BIOME_AFRICA_CITY_HAS_GOV_WIDE', 		'REQUIREMENT_CITY_HAS_BUILDING',	0,0,0)  ,
		('QUO_REQ_BIOME_AFRICA_CITY_HAS_GOV_CONQUEST', 		'REQUIREMENT_CITY_HAS_BUILDING',	0,0,0)  ;
		

INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_AFRICA_ADJ_JUNGLE',	'FeatureType',		'ARGTYPE_IDENTITY',	'FEATURE_JUNGLE',	NULL,	NULL 	)  ,
		('QUO_REQ_BIOME_AFRICA_ADJ_FOREST',	'FeatureType',		'ARGTYPE_IDENTITY',	'FEATURE_FOREST',	NULL,	NULL 	)  ,
		('QUO_REQ_BIOME_AFRICA_TILE_HAS_FARM',	'FeatureType',		'ARGTYPE_IDENTITY',	'IMPROVEMENT_FARM',	NULL,	NULL 	)  ,
		('QUO_REQ_BIOME_AFRICA_CITY_NUM_DISTRICTS',	'Amount',		'ARGTYPE_IDENTITY',	'4',	NULL,	NULL 	)  ,
		('QUO_REQ_BIOME_AFRICA_CITY_HAS_GOV_TALL',	'BuildingType',		'ARGTYPE_IDENTITY',	'BUILDING_GOV_TALL',	NULL,	NULL 	)  ,
		('QUO_REQ_BIOME_AFRICA_CITY_HAS_GOV_WIDE',	'BuildingType',		'ARGTYPE_IDENTITY',	'BUILDING_GOV_WIDE',	NULL,	NULL 	)  ,
		('QUO_REQ_BIOME_AFRICA_CITY_HAS_GOV_CONQUEST',	'BuildingType',		'ARGTYPE_IDENTITY',	'BUILDING_GOV_CONQUEST',	NULL,	NULL 	)  ;
		
INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_AFRICA_ADJ_JUNGLE', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_BIOME_AFRICA_ADJ_FOREST', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_BIOME_AFRICA_CITY_TALL', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_BIOME_AFRICA_CITY_WIDE', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_BIOME_AFRICA_CITY_CONQUEST', 	'REQUIREMENTSET_TEST_ALL') ,
		('QUO_REQSET_BIOME_AFRICA_CITY_GOVT_T1', 	'REQUIREMENTSET_TEST_ANY') ;

INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_AFRICA_ADJ_JUNGLE', 'QUO_REQ_BIOME_AFRICA_ADJ_JUNGLE') ,
		--('QUO_REQSET_BIOME_AFRICA_ADJ_JUNGLE', 'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_CLASSICAL') ,
		--('QUO_REQSET_BIOME_AFRICA_ADJ_JUNGLE', 'QUO_REQ_BIOME_AFRICA_TILE_HAS_FARM') ,

		('QUO_REQSET_BIOME_AFRICA_ADJ_FOREST', 	'QUO_REQ_BIOME_AFRICA_ADJ_FOREST') ,
		--('QUO_REQSET_BIOME_AFRICA_ADJ_FOREST', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_CLASSICAL') ,
		--('QUO_REQSET_BIOME_AFRICA_ADJ_FOREST', 'QUO_REQ_BIOME_AFRICA_TILE_HAS_FARM') ,
		
		('QUO_REQSET_BIOME_AFRICA_CITY_GOVT_T1', 'QUO_REQ_BIOME_AFRICA_CITY_HAS_GOV_TALL') ,
		('QUO_REQSET_BIOME_AFRICA_CITY_GOVT_T1', 'QUO_REQ_BIOME_AFRICA_CITY_HAS_GOV_WIDE') ,
		('QUO_REQSET_BIOME_AFRICA_CITY_GOVT_T1', 'QUO_REQ_BIOME_AFRICA_CITY_HAS_GOV_CONQUEST') ;

		
-- TALL
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_AFRICA_APPEAL_JUNGLE', 'MODIFIER_PLAYER_CITIES_ADJUST_FEATURE_APPEAL_MODIFIER', 0, 0, NULL, NULL)   ,
		('QUO_BIOME_AFRICA_APPEAL_FOREST', 'MODIFIER_PLAYER_CITIES_ADJUST_FEATURE_APPEAL_MODIFIER', 0, 0, NULL, NULL)   ;

INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_AFRICA_APPEAL_JUNGLE', 	'FeatureType', 	'ARGTYPE_IDENTITY', 	'FEATURE_JUNGLE',			NULL, 	NULL) ,
		('QUO_BIOME_AFRICA_APPEAL_JUNGLE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) ,

		('QUO_BIOME_AFRICA_APPEAL_FOREST', 	'FeatureType', 	'ARGTYPE_IDENTITY', 	'FEATURE_FOREST',			NULL, 	NULL) ,
		('QUO_BIOME_AFRICA_APPEAL_FOREST', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) ;

		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_AFRICA',	'QUO_BIOME_AFRICA_APPEAL_JUNGLE')  ,
		('QUO_TRAIT_BIOME_AFRICA',	'QUO_BIOME_AFRICA_APPEAL_FOREST')  ;		
		
		
		
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_AFRICA_ADJ_JUNGLE', 'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD', 0, 0, NULL, 'QUO_REQSET_BIOME_AFRICA_ADJ_JUNGLE')   ,
		('QUO_BIOME_AFRICA_ADJ_FOREST', 'MODIFIER_CITY_PLOT_YIELDS_ADJUST_PLOT_YIELD', 0, 0, NULL, 'QUO_REQSET_BIOME_AFRICA_ADJ_FOREST')   ,
		('QUO_BIOME_AFRICA_ADJ_JUNGLE_PLAYER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_BIOME_AFRICA_CITY_GOVT_T1')   ,
		('QUO_BIOME_AFRICA_ADJ_FOREST_PLAYER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_BIOME_AFRICA_CITY_GOVT_T1')  ;
 
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_AFRICA_ADJ_JUNGLE', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_FOOD',			NULL, 	NULL) ,
		('QUO_BIOME_AFRICA_ADJ_JUNGLE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) ,
		
		('QUO_BIOME_AFRICA_ADJ_FOREST', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_FOOD',			NULL, 	NULL) ,
		('QUO_BIOME_AFRICA_ADJ_FOREST', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) ,
		
		('QUO_BIOME_AFRICA_ADJ_JUNGLE_PLAYER', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_BIOME_AFRICA_ADJ_JUNGLE',			NULL, 	NULL) ,
		('QUO_BIOME_AFRICA_ADJ_FOREST_PLAYER', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_BIOME_AFRICA_ADJ_FOREST',			NULL, 	NULL) ;
		
		
		

		

		
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_AFRICA',	'QUO_BIOME_AFRICA_ADJ_JUNGLE_PLAYER')  ,
		('QUO_TRAIT_BIOME_AFRICA',	'QUO_BIOME_AFRICA_ADJ_FOREST_PLAYER')  ;
 
 



	
	
	
	
-- SCANDINAVIA / BOREAL EUROPE
-- As of v6.0.19 this is now called Scandinavia, altho the name Boreal Europe remains in the database
UPDATE tblQuoDebug SET Message='Boreal Europe' WHERE DebugID='Quo_Biome_Code';

-- Bonuses when adjacent to certain features
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_BOREAL_EUROPE_ADJ_ICE', 		'REQUIREMENT_PLOT_ADJACENT_FEATURE_TYPE_MATCHES',	0,0,0)  ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_BOREAL_EUROPE_ADJ_ICE',	'FeatureType',		'ARGTYPE_IDENTITY',	'FEATURE_ICE',	NULL,	NULL 	)  ;

		
INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_BOREAL_EUROPE_ADJACENCIES', 	'REQUIREMENTSET_TEST_ANY') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_BOREAL_EUROPE_ADJACENCIES', 	'QUO_REQ_BIOME_BOREAL_EUROPE_ADJ_ICE') ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_BOREAL_EUROPE_ADJ', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'QUO_REQSET_BIOME_BOREAL_EUROPE_ADJACENCIES')   ;
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_BOREAL_EUROPE_ADJ', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_CULTURE',			NULL, 	NULL) ,
		('QUO_BIOME_BOREAL_EUROPE_ADJ', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'QUO_BIOME_BOREAL_EUROPE_ADJ')  ;





-- make snow and tundra mountains workable
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_WORKABLE_TUNDRA', 'MODIFIER_PLAYER_ADJUST_TERRAIN_WORKABLE', 0, 0, NULL, NULL)   ,
		('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_WORKABLE_SNOW', 'MODIFIER_PLAYER_ADJUST_TERRAIN_WORKABLE', 0, 0, NULL, NULL)   ;
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_WORKABLE_TUNDRA', 	'Ignore', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ,
		('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_WORKABLE_TUNDRA', 	'TerrainType', 	'ARGTYPE_IDENTITY', 	'TERRAIN_TUNDRA_MOUNTAIN',			NULL, 	NULL) ,
		('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_WORKABLE_SNOW', 	'Ignore', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ,
		('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_WORKABLE_SNOW', 	'TerrainType', 	'ARGTYPE_IDENTITY', 	'TRAIT_WORK_SNOW_MOUNTAIN',			NULL, 	NULL) ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_WORKABLE_TUNDRA')  ,
		('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_WORKABLE_SNOW')  ;



INSERT INTO Modifiers 
		(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_CULTURE', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'REQUIREMENTS_PLOT_IS_MOUNTAIN')   ,
		('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_FAITH', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'REQUIREMENTS_PLOT_IS_MOUNTAIN')   ;
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_CULTURE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) ,
		('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_CULTURE', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_CULTURE',			NULL, 	NULL) ,
		('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_FAITH', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) ,
		('QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_FAITH', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_FAITH',			NULL, 	NULL) ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_CULTURE')  ,
		('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'QUO_BIOME_BOREAL_EUROPE_MOUNTAIN_FAITH')  ;
		
		
		
-- Unlock Canals and Dams
INSERT INTO Modifiers 
		(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_BOREAL_EUROPE_UNLOCK_CANAL', 'MODIFIER_PLAYER_ADJUST_DISTRICT_UNLOCK', 0, 0, NULL, NULL)   ,
		('QUO_BIOME_BOREAL_EUROPE_UNLOCK_DAM', 'MODIFIER_PLAYER_ADJUST_DISTRICT_UNLOCK', 0, 0, NULL, NULL)   ;
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_BOREAL_EUROPE_UNLOCK_CANAL', 	'DistrictType', 	'ARGTYPE_IDENTITY', 	'DISTRICT_CANAL',			NULL, 	NULL) ,
		('QUO_BIOME_BOREAL_EUROPE_UNLOCK_CANAL', 	'TechType', 	'ARGTYPE_IDENTITY', 	'TECH_SHIPBUILDING',			NULL, 	NULL) ,
		('QUO_BIOME_BOREAL_EUROPE_UNLOCK_DAM', 	'DistrictType', 	'ARGTYPE_IDENTITY', 	'DISTRICT_DAM',			NULL, 	NULL) ,
		('QUO_BIOME_BOREAL_EUROPE_UNLOCK_DAM', 	'TechType', 	'ARGTYPE_IDENTITY', 	'TECH_SHIPBUILDING',			NULL, 	NULL) ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'QUO_BIOME_BOREAL_EUROPE_UNLOCK_CANAL')  ,
		('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'QUO_BIOME_BOREAL_EUROPE_UNLOCK_DAM')  ;


-- steal from Russia in order to bonuses on Tundra
-- removed in v6.019
/*INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'TRAIT_INCREASED_TUNDRA_FAITH')  ,
		('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'TRAIT_INCREASED_TUNDRA_HILLS_FAITH')  ,
		('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'TRAIT_INCREASED_TUNDRA_HILLS_PRODUCTION')  ,
		('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'TRAIT_INCREASED_TUNDRA_PRODUCTION')  ;*/



-- Has desert, wants Tundra
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_BOREAL_EUROPE_CITY_HAS_DESERT', 	'REQUIREMENT_CITY_HAS_X_TERRAIN_TYPE',	0,0,0)  ,
		('QUO_REQ_BIOME_BOREAL_EUROPE_CITY_WANTS_TUNDRA', 	'REQUIREMENT_CITY_HAS_X_TERRAIN_TYPE',	0,1,0)  ;

INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_BOREAL_EUROPE_CITY_HAS_DESERT',	'Amount',	'ARGTYPE_IDENTITY',	'2',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_BOREAL_EUROPE_CITY_HAS_DESERT',	'Hills',		'ARGTYPE_IDENTITY',		'1',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_BOREAL_EUROPE_CITY_HAS_DESERT',	'TerrainType',		'ARGTYPE_IDENTITY',		'TERRAIN_DESERT',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_BOREAL_EUROPE_CITY_WANTS_TUNDRA',	'Amount',	'ARGTYPE_IDENTITY',	'2',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_BOREAL_EUROPE_CITY_WANTS_TUNDRA',	'Hills',		'ARGTYPE_IDENTITY',		'1',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_BOREAL_EUROPE_CITY_WANTS_TUNDRA',	'TerrainType',		'ARGTYPE_IDENTITY',		'TERRAIN_TUNDRA',	NULL,	NULL 	) ;

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_BOREAL_EUROPE_CITY_HAS_DESERT', 	'REQUIREMENTSET_TEST_ANY') ,
		('QUO_REQSET_BIOME_BOREAL_EUROPE_CITY_WANTS_TUNDRA', 	'REQUIREMENTSET_TEST_ANY') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_BIOME_BOREAL_EUROPE_CITY_HAS_DESERT', 	'QUO_REQ_BIOME_BOREAL_EUROPE_CITY_HAS_DESERT') ,
		('QUO_REQSET_BIOME_BOREAL_EUROPE_CITY_WANTS_TUNDRA', 	'QUO_REQ_BIOME_BOREAL_EUROPE_CITY_WANTS_TUNDRA') ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_BOREAL_EUROPE_HATE_DESERT', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 0, 0, NULL, 'QUO_REQSET_BIOME_BOREAL_EUROPE_CITY_HAS_DESERT')   ,
		('QUO_BIOME_BOREAL_EUROPE_WANT_TUNDRA', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 0, 0, NULL, 'QUO_REQSET_BIOME_BOREAL_EUROPE_CITY_WANTS_TUNDRA')   ;


 INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_BOREAL_EUROPE_HATE_DESERT', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL) ,
		('QUO_BIOME_BOREAL_EUROPE_WANT_TUNDRA', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) ;


		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'QUO_BIOME_BOREAL_EUROPE_HATE_DESERT')  ,
		('QUO_TRAIT_BIOME_BOREAL_EUROPE',	'QUO_BIOME_BOREAL_EUROPE_WANT_TUNDRA')  ;



		




-- ROMANESQUE
UPDATE tblQuoDebug SET Message='Romanesque' WHERE DebugID='Quo_Biome_Code';

-- Cities much more vulnerable to culture flipping
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ROMANESQUE_IDENTITY_DEBUFF', 'MODIFIER_PLAYER_CITIES_ADJUST_IDENTITY_PER_CITIZEN', 0, 0, NULL, NULL)   ;
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ROMANESQUE_IDENTITY_DEBUFF', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-0.1',			NULL, 	NULL) ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ROMANESQUE',	'QUO_BIOME_ROMANESQUE_IDENTITY_DEBUFF')  ;



-- Points toward a Great Writer with each kill
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_ROMANESQUE_TIME_CUTOFF', 		'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',	0,1,0) ,
		('QUO_REQ_BIOME_ROMANESQUE_DEBUFF_START', 		'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',	0,0,0) ,
		('QUO_REQ_BIOME_ROMANESQUE_DEBUFF_END', 		'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',	0,1,0) ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_ROMANESQUE_TIME_CUTOFF',	'EraType',		'ARGTYPE_IDENTITY',	'ERA_MEDIEVAL',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ROMANESQUE_DEBUFF_START',	'EraType',		'ARGTYPE_IDENTITY',	'ERA_RENAISSANCE',	NULL,	NULL 	) ,
		('QUO_REQ_BIOME_ROMANESQUE_DEBUFF_END',	'EraType',		'ARGTYPE_IDENTITY',	'ERA_INDUSTRIAL',	NULL,	NULL 	) ;
		


INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_ROMANESQUE_TIME_CUTOFF', 	'REQUIREMENTSET_TEST_ALL')  ,
		('QUO_REQSET_BIOME_ROMANESQUE_REN_ERA', 	'REQUIREMENTSET_TEST_ALL')  ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_ROMANESQUE_TIME_CUTOFF', 	'QUO_REQ_BIOME_ROMANESQUE_TIME_CUTOFF') ,
		('QUO_REQSET_BIOME_ROMANESQUE_REN_ERA', 	'QUO_REQ_BIOME_ROMANESQUE_DEBUFF_START') ,
		('QUO_REQSET_BIOME_ROMANESQUE_REN_ERA', 	'QUO_REQ_BIOME_ROMANESQUE_DEBUFF_END') ;
		


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ROMANESQUE_UNIT_GPP_UNIT', 'MODIFIER_PLAYER_UNIT_ADJUST_GREAT_PEOPLE_POINTS_PER_KILL', 0, 0, NULL, NULL) ,
		('QUO_BIOME_ROMANESQUE_UNIT_GPP_PLAYER', 'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_BIOME_ROMANESQUE_TIME_CUTOFF') ;

		
INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ROMANESQUE_UNIT_GPP_UNIT', 	'Amount', 	'ARGTYPE_IDENTITY', 	'6',			NULL, 	NULL) ,
		('QUO_BIOME_ROMANESQUE_UNIT_GPP_UNIT', 	'GreatPersonClassType', 	'ARGTYPE_IDENTITY', 	'GREAT_PERSON_CLASS_WRITER',			NULL, 	NULL) ,
		('QUO_BIOME_ROMANESQUE_UNIT_GPP_PLAYER', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_BIOME_ROMANESQUE_UNIT_GPP_UNIT',			NULL, 	NULL) ;

INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ROMANESQUE',	'QUO_BIOME_ROMANESQUE_UNIT_GPP_PLAYER') ;






-- During the Renaissance, lose identity per turn
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	--('QUO_BIOME_ROMANESQUE_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_BIOME_ROMANESQUE_REN_ERA'),
		('QUO_BIOME_ROMANESQUE_DEBUFF', 'MODIFIER_PLAYER_CITIES_ADJUST_IDENTITY_PER_TURN', 0, 0, NULL, NULL) ;

INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	--('QUO_BIOME_ROMANESQUE_GLOBAL', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_BIOME_ROMANESQUE_DEBUFF',			NULL, 	NULL) ,
		('QUO_BIOME_ROMANESQUE_DEBUFF', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-3',			NULL, 	NULL) ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ROMANESQUE',	'QUO_BIOME_ROMANESQUE_DEBUFF')  ;



-- Earn a free civic boost when rival earns a Great Artist
-- REMOVED: Too powerful and conflicts with the Great Library 
/* INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ROMANESQUE_REN_BURST', 'MODIFIER_PLAYER_GRANT_BOOST_WITH_GREAT_PERSON', 0, 0, NULL, 'QUO_REQSET_BIOME_ROMANESQUE_REN_ERA') ;

INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ROMANESQUE_REN_BURST', 	'GreatPersonClass', 	'ARGTYPE_IDENTITY', 	'GREAT_PERSON_CLASS_ARTIST',			NULL, 	NULL)  ,
		('QUO_BIOME_ROMANESQUE_REN_BURST', 	'OtherPlayers', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL)  ,
		('QUO_BIOME_ROMANESQUE_REN_BURST', 	'TechBoost', 	'ARGTYPE_IDENTITY', 	'0',			NULL, 	NULL)  ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ROMANESQUE',	'QUO_BIOME_ROMANESQUE_REN_BURST')  ;
 */




-- +5% Gold per Great Person ever earned
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ROMANESQUE_REN_GP_YIELD', 'MODIFIER_PLAYER_ADJUST_YIELD_MODIFIER_PER_EARNED_GREAT_PERSON', 0, 0, NULL, 'QUO_REQSET_BIOME_ROMANESQUE_REN_ERA') ;

INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ROMANESQUE_REN_GP_YIELD', 	'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL)  ,
		('QUO_BIOME_ROMANESQUE_REN_GP_YIELD', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_GOLD',			NULL, 	NULL)  ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ROMANESQUE',	'QUO_BIOME_ROMANESQUE_REN_GP_YIELD')  ;






-- ASIAN EXPANSE
UPDATE tblQuoDebug SET Message='Asian Expanse' WHERE DebugID='Quo_Biome_Code';

INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_ASIAN_EXPANSE_RANGED', 	'REQUIREMENT_UNIT_PROMOTION_CLASS_MATCHES',	0,0,0)  ;

INSERT INTO RequirementArguments 
		(RequirementId,			Name, 			Type, 			Value, 		Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_ASIAN_EXPANSE_RANGED',	'UnitPromotionClass',		'ARGTYPE_IDENTITY',		'PROMOTION_CLASS_SIEGE',	NULL,	NULL 	)  ;

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_ASIAN_EXPANSE_RANGED', 	'REQUIREMENTSET_TEST_ANY') ;

 INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_BIOME_ASIAN_EXPANSE_RANGED', 	'QUO_REQ_BIOME_ASIAN_EXPANSE_RANGED')  ;


-- Lower range for Siege units
 INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ASIAN_EXPANSE_RANGE', 	'MODIFIER_UNIT_ADJUST_ATTACK_RANGE', 0, 0, NULL, NULL) ,
		('QUO_BIOME_ASIAN_EXPANSE_RANGE_PLAYER', 	'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_BIOME_ASIAN_EXPANSE_RANGED') ;

INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ASIAN_EXPANSE_RANGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',					NULL, 	NULL) ,	
		('QUO_BIOME_ASIAN_EXPANSE_RANGE_PLAYER', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_BIOME_ASIAN_EXPANSE_RANGE',		NULL, 	NULL)   ;

INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ASIAN_EXPANSE',	'QUO_BIOME_ASIAN_EXPANSE_RANGE_PLAYER') ;


-- Increase XP for Siege units
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ASIAN_EXPANSE_BONUS_XP', 'MODIFIER_PLAYER_UNITS_ADJUST_UNIT_EXPERIENCE_MODIFIER', 0, 0, NULL, 'QUO_REQSET_BIOME_ASIAN_EXPANSE_RANGED') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ASIAN_EXPANSE_BONUS_XP', 	'Amount', 		'ARGTYPE_IDENTITY', 	'50',				NULL, 	NULL)  ;

INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ASIAN_EXPANSE',	'QUO_BIOME_ASIAN_EXPANSE_BONUS_XP');



-- Food from Population
/* INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_ASIAN_EXPANSE_FOOD_FROM_POPULATION', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_PER_POPULATION', 0, 0, NULL, 'CITY_HAS_3_TITLE_GOVERNOR_REQUIREMENTS');


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES	('QUO_BIOME_ASIAN_EXPANSE_FOOD_FROM_POPULATION', 	'Amount', 		'ARGTYPE_IDENTITY', 	'0.3',				NULL, 	NULL)  ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ASIAN_EXPANSE',	'QUO_BIOME_ASIAN_EXPANSE_FOOD_FROM_POPULATION');
 */
 
 
 

		

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_ASIAN_EXPANSE_FREEPOP_ERA', 	'REQUIREMENTSET_TEST_ALL') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	--('QUO_REQSET_BIOME_ASIAN_EXPANSE_FREEPOP_ERA', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_CLASSICAL') ,
		('QUO_REQSET_BIOME_ASIAN_EXPANSE_FREEPOP_ERA', 	'QUO_REQ_GLOBAL_ERA_NOT_YET_MEDIEVAL') ;



INSERT INTO Types
	(Type, 				Kind)
VALUES 	('QUO_MODTYPE_ASIAN_EXPANSE_FREE_POPULATION',	'KIND_MODIFIER'	) ;

INSERT INTO DynamicModifiers
		(ModifierType, CollectionType, EffectType)
VALUES 	('QUO_MODTYPE_ASIAN_EXPANSE_FREE_POPULATION', 'COLLECTION_OWNER','EFFECT_ADJUST_CITY_POPULATION');



-- Reuse the modifiertype used by ASIAN_EXPANSE
INSERT INTO Modifiers 
		(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_ASIAN_EXPANSE_FREE_POPULATION', 'MODIFIER_PLAYER_CITIES_ADD_EXPENDED_GREAT_PERSON_TILES', 0, 0, NULL, NULL) ,
		('QUO_ASIAN_EXPANSE_FREE_POPULATION_PLAYER', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_BIOME_ASIAN_EXPANSE_FREEPOP_ERA') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_ASIAN_EXPANSE_FREE_POPULATION', 	'Amount', 	'ARGTYPE_IDENTITY', 	'12',		NULL, 	NULL) ,
		--('QUO_ASIAN_EXPANSE_FREE_POPULATION', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_FOOD',		NULL, 	NULL) ,
		('QUO_ASIAN_EXPANSE_FREE_POPULATION_PLAYER', 		'ModifierId', 		'ARGTYPE_IDENTITY', 	'QUO_ASIAN_EXPANSE_FREE_POPULATION',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_ASIAN_EXPANSE',	'QUO_ASIAN_EXPANSE_FREE_POPULATION_PLAYER');



 





-- WESTERN EUROPE
UPDATE tblQuoDebug SET Message='Western Europe' WHERE DebugID='Quo_Biome_Code';


/* CREATE TABLE tblQuoBiomeWesternEuropeUnits AS 
select unittype, technologies.eratype from units 
inner join technologies on technologies.TechnologyType = units.PrereqTech 
where promotionclass in  ("PROMOTION_CLASS_MELEE") AND eratype not in ("ERA_ANCIENT", "ERA_CLASSICAL")

union

select unittype, civics.EraType from units 
inner join civics on civics.CivicType = units.PrereqCivic
where promotionclass in  ("PROMOTION_CLASS_MELEE") AND eratype not in ("ERA_ANCIENT", "ERA_CLASSICAL");


INSERT INTO Tags 
	(Tag, 				Vocabulary)
VALUES 	('QUO_CLASS_WESTERN_EUROPE_PROMO',	'ABILITY_CLASS'	) ;


INSERT INTO TypeTags
	(Type,					Tag)
SELECT	UnitType, 	'QUO_CLASS_WESTERN_EUROPE_PROMO' 
FROM tblQuoBiomeWesternEuropeUnits;
 */ 

-- Free promotion for Melee units
/* INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_WESTERN_EUROPE_IS_UNIT_PROMO', 	'REQUIREMENT_UNIT_TAG_MATCHES',	0,0,0)  ;


INSERT INTO RequirementArguments 
		(RequirementId,			Name, 			Type, 			Value, 		Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_WESTERN_EUROPE_IS_UNIT_PROMO',	'Tag',		'ARGTYPE_IDENTITY',		'QUO_CLASS_WESTERN_EUROPE_PROMO',	NULL,	NULL 	)  ;


INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_WESTERN_EUROPE_PROMOTION', 	'REQUIREMENTSET_TEST_ANY') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_WESTERN_EUROPE_PROMOTION', 	'QUO_REQ_BIOME_WESTERN_EUROPE_IS_UNIT_PROMO')    ; */


-- Requirement changed to any Melee unit constructed after the world reaches the Medieval era
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_WESTERN_EUROPE_UNIT_PROMO_ERA', 		'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',	0,0,0) ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_WESTERN_EUROPE_UNIT_PROMO_ERA',	'EraType',		'ARGTYPE_IDENTITY',	'ERA_MEDIEVAL',	NULL,	NULL 	)  ;
		

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_WESTERN_EUROPE_UNIT_PROMO_ERA', 	'REQUIREMENTSET_TEST_ALL')   ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_WESTERN_EUROPE_UNIT_PROMO_ERA', 	'QUO_REQ_BIOME_WESTERN_EUROPE_UNIT_PROMO_ERA')  ;
		



INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_BIOME_WESTERN_EUROPE_FREE_XP', 	'MODIFIER_PLAYER_UNITS_ADJUST_GRANT_EXPERIENCE', 	0, 		1, 		NULL,			'QUO_REQSET_BIOME_WESTERN_EUROPE_UNIT_PROMO_ERA') ;


INSERT INTO ModifierArguments
	(ModifierID,			Name,		Type, 				Value,			Extra)
VALUES	('QUO_BIOME_WESTERN_EUROPE_FREE_XP', 	'Amount', 	'ARGTYPE_IDENTITY', 		'-1',			NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('QUO_TRAIT_BIOME_WEST_EUROPE',	'QUO_BIOME_WESTERN_EUROPE_FREE_XP') ;




-- No benefit from trees
INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_WESTERN_EUROPE_TREES', 	'REQUIREMENTSET_TEST_ANY') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_WESTERN_EUROPE_TREES', 	'PLOT_IS_FOREST_REQUIREMENT') ,
		('QUO_REQSET_BIOME_WESTERN_EUROPE_TREES', 	'PLOT_IS_JUNGLE_REQUIREMENT')  ;

		
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_WESTERN_EUROPE_TREES', 'MODIFIER_PLAYER_ADJUST_PLOT_YIELD', 0, 0, NULL, 'QUO_REQSET_BIOME_WESTERN_EUROPE_TREES')  ;
 
INSERT INTO ModifierArguments
		(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_WESTERN_EUROPE_TREES', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',			NULL, 	NULL) ,
		('QUO_BIOME_WESTERN_EUROPE_TREES', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-1',			NULL, 	NULL)  ;
		
INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_WEST_EUROPE',	'QUO_BIOME_WESTERN_EUROPE_TREES')  ;


-- Free Medieval bedrock
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_WESTERN_EUROPE_BEDROCK', 'QUO_MODTYPE_GRANT_BUILDING_IN_CITY', 1, 1, NULL, NULL) ,
		('QUO_BIOME_WESTERN_EUROPE_BEDROCK_PLAYER', 'MODIFIER_ALL_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL) ;

INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_BIOME_WESTERN_EUROPE_BEDROCK', 	'BuildingType', 	'ARGTYPE_IDENTITY', 	'QUO_BUILDING_BEDROCK_MEDIEVAL',			NULL, 	NULL) ,
		('QUO_BIOME_WESTERN_EUROPE_BEDROCK_PLAYER', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_BIOME_WESTERN_EUROPE_BEDROCK',			NULL, 	NULL) ;		

INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_WEST_EUROPE',	'QUO_BIOME_WESTERN_EUROPE_BEDROCK_PLAYER')  ;



-- Eastern Europe / Soviet Bloc
INSERT INTO Types
	(Type, 				Kind)
VALUES 	('QUO_ABILITY_BIOME_EAST_EUROPE_MOVE_ATTACK',	'KIND_ABILITY'	) ;


INSERT INTO TypeTags
	(Type,					Tag)
VALUES  ('QUO_ABILITY_BIOME_EAST_EUROPE_MOVE_ATTACK', 		'CLASS_ANTI_CAVALRY') ;
 

INSERT INTO Modifiers 
	(ModifierId, 			ModifierType, 				RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_UNIT_MODIFIER_MOVE_ATTACK', 		'MODIFIER_PLAYER_UNIT_ADJUST_ATTACK_AND_MOVE', 	0, 		0, 		NULL, 			NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_UNIT_MODIFIER_MOVE_ATTACK', 		'CanMove', 	'ARGTYPE_IDENTITY', 	'1',	NULL, 	NULL) ;


INSERT INTO UnitAbilities
	(UnitAbilityType,		Name,				Description,			Inactive)
VALUES	('QUO_ABILITY_BIOME_EAST_EUROPE_MOVE_ATTACK',	'QUO_LOC_BIOME_EAST_EUROPE_MOVE_ATTACK_NAME',		'QUO_LOC_BIOME_EAST_EUROPE_MOVE_ATTACK_DESC',	"1"	) ;


INSERT INTO UnitAbilityModifiers
	(UnitAbilityType, 			ModifierId)
VALUES 	('QUO_ABILITY_BIOME_EAST_EUROPE_MOVE_ATTACK', 		'QUO_UNIT_MODIFIER_MOVE_ATTACK');


INSERT INTO Modifiers 
	(ModifierId, 			ModifierType, 				RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_BIOME_EAST_EUROPE_MOVE_ATTACK', 	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', 	0, 		1, 		NULL, 			NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_BIOME_EAST_EUROPE_MOVE_ATTACK', 	'AbilityType', 	'ARGTYPE_IDENTITY', 	'QUO_ABILITY_BIOME_EAST_EUROPE_MOVE_ATTACK',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_EAST_EUROPE',	'QUO_BIOME_EAST_EUROPE_MOVE_ATTACK')  ;



-- Anti-Cav disregard zone of control
-- Disregard Zone of Control
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_EAST_EUROPE_UNIT_ANTI_CAV', 	'REQUIREMENT_UNIT_PROMOTION_CLASS_MATCHES',	0,0,0) ;


INSERT INTO RequirementArguments 
		(RequirementId,			Name, 			Type, 			Value, 		Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_EAST_EUROPE_UNIT_ANTI_CAV',	'UnitType',		'ARGTYPE_IDENTITY',		'PROMOTION_CLASS_ANTI_CAVALRY',	NULL,	NULL 	) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_EAST_EUROPE_UNIT_ANTI_CAV', 	'REQUIREMENTSET_TEST_ANY') ;


-- reuse the existing RECON_UNITS requirement
INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_BIOME_EAST_EUROPE_UNIT_ANTI_CAV', 	'QUO_REQ_BIOME_EAST_EUROPE_UNIT_ANTI_CAV') ; 


INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_EAST_EUROPE_IGNORE_ZOC', 	'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_ZOC', 0, 0, NULL, NULL) ,
	('QUO_BIOME_EAST_EUROPE_IGNORE_ZOC_GLOBAL', 	'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_BIOME_EAST_EUROPE_UNIT_ANTI_CAV') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_BIOME_EAST_EUROPE_IGNORE_ZOC', 	'Ignore', 	'ARGTYPE_IDENTITY', 	'1',					NULL, 	NULL) ,	
	('QUO_BIOME_EAST_EUROPE_IGNORE_ZOC_GLOBAL', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_BIOME_EAST_EUROPE_IGNORE_ZOC',		NULL, 	NULL)  ;


INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_EAST_EUROPE',	'QUO_BIOME_EAST_EUROPE_IGNORE_ZOC_GLOBAL')  ;



-- Cannot build Support units
CREATE TABLE tblQuoBiomeEastEuropeSupportUnits AS 
select unittype, technologies.eratype from units 
inner join technologies on technologies.TechnologyType = units.PrereqTech 
where promotionclass in  ("PROMOTION_CLASS_SUPPORT") AND TraitType IS NULL

union

select unittype, civics.EraType from units 
inner join civics on civics.CivicType = units.PrereqCivic
where promotionclass in  ("PROMOTION_CLASS_SUPPORT") AND TraitType IS NULL;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
SELECT 'QUO_BIOME_EAST_EUROPE_CANNOT_BUILD_' || tblQuoBiomeEastEuropeSupportUnits.UnitType, 'MODIFIER_PLAYER_UNIT_BUILD_DISABLED', 0, 0, NULL, NULL
	FROM tblQuoBiomeEastEuropeSupportUnits;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT 'QUO_BIOME_EAST_EUROPE_CANNOT_BUILD_' || tblQuoBiomeEastEuropeSupportUnits.UnitType, 	'UnitType', 	'ARGTYPE_IDENTITY', 	tblQuoBiomeEastEuropeSupportUnits.UnitType,			NULL, 	NULL 
	FROM tblQuoBiomeEastEuropeSupportUnits;

	
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT 'QUO_TRAIT_BIOME_EAST_EUROPE',	'QUO_BIOME_EAST_EUROPE_CANNOT_BUILD_' || tblQuoBiomeEastEuropeSupportUnits.UnitType
	FROM tblQuoBiomeEastEuropeSupportUnits;


	
-- Free Anti Cav at appropriate time
/* INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_EAST_EUROPE_UNLOCK_UNIT_ERA', 		'REQUIREMENT_GAME_ERA_ATLEAST_EXPANSION',	0,0,0) ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_EAST_EUROPE_UNLOCK_UNIT_ERA',	'EraType',		'ARGTYPE_IDENTITY',	'ERA_INDUSTRIAL',	NULL,	NULL 	)  ;		
 */

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_EASTERN_EUROPE_UNLOCK_FREE_UNITS', 	'REQUIREMENTSET_TEST_ALL') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_BIOME_EASTERN_EUROPE_UNLOCK_FREE_UNITS', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_INDUSTRIAL') ,
		('QUO_REQSET_BIOME_EASTERN_EUROPE_UNLOCK_FREE_UNITS', 	'QUO_REQ_GLOBAL_ERA_NOT_YET_MODERN') ;
		
		
INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_BIOME_EASTERN_EUROPE_FREE_UNIT', 	'MODIFIER_PLAYER_CITIES_GRANT_UNIT_BY_CLASS', 0, 0, NULL, 'QUO_REQSET_BIOME_EASTERN_EUROPE_UNLOCK_FREE_UNITS') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_MOD_BIOME_EASTERN_EUROPE_FREE_UNIT', 	'UnitPromotionClassType', 	'ARGTYPE_IDENTITY', 	'PROMOTION_CLASS_ANTI_CAVALRY',		NULL, 	NULL) ;

INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_EAST_EUROPE',	'QUO_MOD_BIOME_EASTERN_EUROPE_FREE_UNIT')  ;



-- BRITISH ISLES
-- Added in v6.019

-- Ranged distance
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_BIOME_UK_RANGED', 	'REQUIREMENT_UNIT_PROMOTION_CLASS_MATCHES',	0,0,0)  ;

INSERT INTO RequirementArguments 
		(RequirementId,			Name, 			Type, 			Value, 		Extra, 	SecondExtra)
VALUES 	('QUO_REQ_BIOME_UK_RANGED',	'UnitPromotionClass',		'ARGTYPE_IDENTITY',		'PROMOTION_CLASS_RANGED',	NULL,	NULL 	)  ;

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_UK_RANGED', 	'REQUIREMENTSET_TEST_ALL') ;

 INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_BIOME_UK_RANGED', 	'QUO_REQ_BIOME_UK_RANGED')  ,
		('QUO_REQSET_BIOME_UK_RANGED', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_MEDIEVAL') ,
		('QUO_REQSET_BIOME_UK_RANGED', 	'QUO_REQ_GLOBAL_ERA_NOT_YET_RENAISSANCE') ;
		

 INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_UK_RANGE', 	'MODIFIER_UNIT_ADJUST_ATTACK_RANGE', 0, 0, NULL, NULL) ,
		('QUO_BIOME_UK_RANGE_PLAYER', 	'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'QUO_REQSET_BIOME_UK_RANGED') ;

INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_BIOME_UK_RANGE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'2',					NULL, 	NULL) ,	
		('QUO_BIOME_UK_RANGE_PLAYER', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_BIOME_UK_RANGE',		NULL, 	NULL)   ;

INSERT INTO TraitModifiers
		(TraitType, 			ModifierID)
VALUES	('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_RANGE_PLAYER')  ;



-- Free spy, spy level up and spy slot as you progress through later eras
INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_BIOME_UK_SPY_ERA_INDUSTRIAL', 	'REQUIREMENTSET_TEST_ALL')   ,
		('QUO_REQSET_BIOME_UK_SPY_ERA_MODERN', 	'REQUIREMENTSET_TEST_ALL')   ,
		('QUO_REQSET_BIOME_UK_SPY_ERA_ATOMIC', 	'REQUIREMENTSET_TEST_ALL')   ,
		('QUO_REQSET_BIOME_UK_SPY_ERA_INFORMATION', 	'REQUIREMENTSET_TEST_ALL')   ;



INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	 ('QUO_REQSET_BIOME_UK_SPY_ERA_INDUSTRIAL', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_INDUSTRIAL')   ,
		('QUO_REQSET_BIOME_UK_SPY_ERA_MODERN', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_MODERN')   ,
		('QUO_REQSET_BIOME_UK_SPY_ERA_ATOMIC', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_ATOMIC')   ,
		('QUO_REQSET_BIOME_UK_SPY_ERA_INFORMATION', 	'QUO_REQ_GLOBAL_ERA_IS_ATLEAST_INFORMATION')   ;
		
 
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_UK_SPY_EXTRASLOT_INDUSTRIAL', 'MODIFIER_PLAYER_GRANT_SPY', 0, 0, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_INDUSTRIAL') ,
		('QUO_BIOME_UK_SPY_EXTRASLOT_MODERN', 'MODIFIER_PLAYER_GRANT_SPY', 0, 0, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_MODERN') ,
		('QUO_BIOME_UK_SPY_EXTRASLOT_ATOMIC', 'MODIFIER_PLAYER_GRANT_SPY', 0, 0, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_ATOMIC') ,
		('QUO_BIOME_UK_SPY_EXTRASLOT_INFORMATION', 'MODIFIER_PLAYER_GRANT_SPY', 0, 0, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_INFORMATION') ,
		
		('QUO_BIOME_UK_SPY_BONUS_INDUSTRIAL', 'MODIFIER_PLAYER_ADJUST_SPY_BONUS', 0, 0, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_INDUSTRIAL') ,
		('QUO_BIOME_UK_SPY_BONUS_MODERN', 'MODIFIER_PLAYER_ADJUST_SPY_BONUS', 0, 0, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_MODERN') ,
		('QUO_BIOME_UK_SPY_BONUS_ATOMIC', 'MODIFIER_PLAYER_ADJUST_SPY_BONUS', 0, 0, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_ATOMIC') ,
		('QUO_BIOME_UK_SPY_BONUS_INFORMATION', 'MODIFIER_PLAYER_ADJUST_SPY_BONUS', 0, 0, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_INFORMATION') ,
		
		('QUO_BIOME_UK_SPY_FREE_INDUSTRIAL', 'MODIFIER_PLAYER_GRANT_UNIT_IN_CAPITAL', 1, 1, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_INDUSTRIAL') ,
		('QUO_BIOME_UK_SPY_FREE_MODERN', 'MODIFIER_PLAYER_GRANT_UNIT_IN_CAPITAL', 1, 1, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_MODERN') ,
		('QUO_BIOME_UK_SPY_FREE_ATOMIC', 'MODIFIER_PLAYER_GRANT_UNIT_IN_CAPITAL', 1, 1, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_ATOMIC') ,
		('QUO_BIOME_UK_SPY_FREE_INFORMATION', 'MODIFIER_PLAYER_GRANT_UNIT_IN_CAPITAL', 1, 1, NULL, 'QUO_REQSET_BIOME_UK_SPY_ERA_INFORMATION') ;

		
		
		
INSERT INTO ModifierArguments
	(ModifierId, 			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES	('QUO_BIOME_UK_SPY_EXTRASLOT_INDUSTRIAL', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_EXTRASLOT_MODERN', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_EXTRASLOT_ATOMIC', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_EXTRASLOT_INFORMATION', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,

		('QUO_BIOME_UK_SPY_BONUS_INDUSTRIAL', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_BONUS_INDUSTRIAL', 	'Offense', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,

		('QUO_BIOME_UK_SPY_BONUS_MODERN', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_BONUS_MODERN', 	'Offense', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		
		('QUO_BIOME_UK_SPY_BONUS_ATOMIC', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_BONUS_ATOMIC', 	'Offense', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		
		('QUO_BIOME_UK_SPY_BONUS_INFORMATION', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_BONUS_INFORMATION', 	'Offense', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		
		('QUO_BIOME_UK_SPY_FREE_INDUSTRIAL', 	'AllowUniqueOverride', 		'ARGTYPE_IDENTITY', 	'0',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_FREE_INDUSTRIAL', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_FREE_INDUSTRIAL', 	'UnitType', 		'ARGTYPE_IDENTITY', 	'UNIT_SPY',				NULL, 	NULL)  ,

		('QUO_BIOME_UK_SPY_FREE_MODERN', 	'AllowUniqueOverride', 		'ARGTYPE_IDENTITY', 	'0',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_FREE_MODERN', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_FREE_MODERN', 	'UnitType', 		'ARGTYPE_IDENTITY', 	'UNIT_SPY',				NULL, 	NULL)  ,

		('QUO_BIOME_UK_SPY_FREE_ATOMIC', 	'AllowUniqueOverride', 		'ARGTYPE_IDENTITY', 	'0',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_FREE_ATOMIC', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_FREE_ATOMIC', 	'UnitType', 		'ARGTYPE_IDENTITY', 	'UNIT_SPY',				NULL, 	NULL)  ,

		('QUO_BIOME_UK_SPY_FREE_INFORMATION', 	'AllowUniqueOverride', 		'ARGTYPE_IDENTITY', 	'0',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_FREE_INFORMATION', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_SPY_FREE_INFORMATION', 	'UnitType', 		'ARGTYPE_IDENTITY', 	'UNIT_SPY',				NULL, 	NULL)  ;
		
		
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	--('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_EXTRASLOT_INDUSTRIAL'),
		('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_EXTRASLOT_MODERN'),
		--('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_EXTRASLOT_ATOMIC'),
		('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_EXTRASLOT_INFORMATION'),

		--('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_BONUS_INDUSTRIAL') ,
		('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_BONUS_MODERN') ,
		--('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_BONUS_ATOMIC') ,
		('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_BONUS_INFORMATION') ,
		
		
		--('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_FREE_INDUSTRIAL') ,
		('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_FREE_MODERN') ,
		--('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_FREE_ATOMIC') ,
		('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_SPY_FREE_INFORMATION') ;
		

-- Cities cost more gold to maintain
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BIOME_UK_GOLD', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, NULL) ;
		

INSERT INTO ModifierArguments
	(ModifierId, 			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES	('QUO_BIOME_UK_GOLD', 	'Amount', 		'ARGTYPE_IDENTITY', 	'-1',				NULL, 	NULL)  ,
		('QUO_BIOME_UK_GOLD', 	'YieldType', 		'ARGTYPE_IDENTITY', 	'YIELD_GOLD',				NULL, 	NULL)  ;

INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES ('QUO_TRAIT_BIOME_UK',	'QUO_BIOME_UK_GOLD') ;


-- UPDATE BUG TRACKER
-- This code should go last in every file

UPDATE tblQuoDebug SET x_Close='1' WHERE DebugID='Quo_Biome_Code';